/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.simple.btree;

import org.logical_paradox.common.btree.BtreeException;
import org.logical_paradox.common.btree.BtreeKey;

/**
 * koikeのシンプルな実装のためのbtreeキー
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class SimpleBtreeKey extends BtreeKey {

	/**
	 * コンストラクタ
	 * @param bstream キー情報のバイト列
	 * @throws BtreeException
	 */
	public SimpleBtreeKey(byte[] bstream) throws BtreeException {
		super(bstream);
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeKey#objectToBtreeKey(java.lang.Object)
	 */
	protected void objectToBtreeKey(Object o) throws BtreeException {
		// TODO 自動生成されたメソッド・スタブ

	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeKey#byteStreamToBtreeKey(byte[])
	 */
	protected void byteStreamToBtreeKey(byte[] bstream) throws BtreeException {
		// TODO 自動生成されたメソッド・スタブ

	}

	/* (非 Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (非 Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object obj) {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeKey#isLessThan(org.logical_paradox.common.btree.BtreeKey)
	 */
	public boolean isLessThan(BtreeKey key) {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeKey#isGreaterThan(org.logical_paradox.common.btree.BtreeKey)
	 */
	public boolean isGreaterThan(BtreeKey key) {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.io.ByteStream#byteStream()
	 */
	public byte[] byteStream() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

}
